<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/static/favicon.ico">

    <title>{{ app_name }}</title>

    <!-- Bootstrap core CSS -->
    <link href="/static/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="/static/css/starter-template.css" rel="stylesheet">

  </head>

  <body>

    <!--<nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">{{ app_name }}</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="#">Profile</a></li>
            <li><a href="#users">Aliases</a></li>
            <li><a href="#mail">Name records</a></li>
            <li><a href=""></a></li>
          </ul>
        </div>
      </div>
    </nav>-->

    <div class="container">
      %if message:
        <div class="alert alert-{{ message['alert'] }} alert-dismissible" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          {{ message['message'] }}.
        </div>
      %end
      <div class="starter-template">
        <h1>{{ username }}</h1>
        <p class="lead">You are logged in. (<a href="/logout">logout</a>)</p>
        <p>This is your <a href="https://socialnerds.org/account">SocialNerds account</a> self-service page.</p>
        <p>It is <a href="https://en.wikipedia.org/wiki/Free_software">free software</a> and its code is hosted <a href="https://socialg.it/socialnerds/accounts">here</a>.</p>
      </div>

      <div class="starter-template">
        <h2>Change password</h2>
          <hr>
          <p>Enter your old password and your desired password and hit the change button.<br><small>Watch typos! I will not watch for you.</small></p>
          <form class="form-inline" action="/password" method="post">
            <div class="form-group">
              <input name="oldpassword" type="password" class="form-control" id="changepasswordInput" placeholder="Old password">
            </div>
            <div class="form-group">
              <input name="newpassword" type="password" class="form-control" id="changepasswordInput2" placeholder="New password">
            </div>
            <button type="submit" class="btn btn-primary">change</button>
          </form>


      </div>


      <div class="starter-template">
        <h2>Manage aliases</h2>
          <hr>
          <p>Aliases are additional email addresses which will be forwarded to your account. Besides your primary email address you can use an alias to send your emails.<br><small>Available domains: <b>@aundas.org</b>, <b>@socialnerds.org</b>, <b>@phlo.at</b>, <b>@gmur.ml</b>, <b>@socialg.it</b><br>Be aware the limit of five active aliases.</small></p>
          <p>david@aundas.org (<a href="#">delete</a>)</p>
          <p>david@socialnerds.org (<a href="#">delete</a>)</p>
          <p>hugo17@socialnerds.org (<a href="#">delete</a>)</p>

          <form class="form-inline">
            <div class="form-group">
              <input type="email" class="form-control" id="ceatealiasInput" placeholder="alias@socialnerds.org">
            </div>
            <button type="submit" class="btn btn-primary">create</button>
          </form>


      </div>

      <div class="starter-template">
        <h2>Delete account</h2>
          <hr>
          <p>Entering your full account name and hitting the delete button will render your <a href="https://socialnerds.org/account">SocialNerds account</a> unavailable and <b>remove all data from your servers</b>.<br><small>The actual removal will happen within a week.</small></p>

          <form class="form-inline">
            <div class="form-group">
              <input type="email" class="form-control" id="deleteaccountInput" placeholder="{{ username }}">
            </div>
            <button type="submit" class="btn btn-danger">delete</button>
          </form>


      </div>



    </div><!-- /.container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="/static/js/vendor/jquery.min.js"><\/script>')</script>
    <script src="/static/js/bootstrap.min.js"></script>
  </body>
</html>
